Bug 1269988 - RFE: Create a directory for ansible-galaxy installed roles
RFE: Create a directory for ansible-galaxy installed roles
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: ansible (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 13:36 EDT by Nathanael Noblet
Modified: 2016-11-24 12:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Move roles to /var/lib/ansible/roles (2.01 KB, patch)
2015-10-08 13:36 EDT, Nathanael Noblet
no flags Details | Diff

  None (edit)
Description Nathanael Noblet 2015-10-08 13:36:26 EDT
Created attachment 1081072 [details]
Move roles to /var/lib/ansible/roles

It seems like placing galaxy installed roles in /etc/ansible/roles is probably? against some packaging guidelines. I'm suggesting that ansible be configured by default to place these types of files in /var/lib/ansible instead.

Thoughts?
Comment 1 Nathanael Noblet 2015-10-08 13:37:11 EDT
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=11375729
Comment 2 Kevin Fenzi 2015-10-09 22:48:02 EDT
Seems reasonable to me. We should upstream this also though...
Comment 3 Fedora End Of Life 2016-11-24 07:43:57 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Nathanael Noblet 2016-11-24 12:08:29 EST
So I looked and I'm not familiar enough with python and the upstream project to really have a clue. To me even if this doesn't get upstreamed its still a downstream decision to follow certain filesystem rules/expectations by providing a default config.

Note You need to log in before you can comment on or make changes to this bug.